package com.hotent.portal.service.impl;

import com.hotent.base.manager.impl.BaseManagerImpl;
import com.hotent.portal.dao.PortalTemplateUserDao;
import com.hotent.portal.model.PortalTemplateUser;
import com.hotent.portal.persistence.dao.PortalBizSystemDao;
import com.hotent.portal.service.PortalTemplateUserManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 门户模板用户 服务实现类
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2024-05-15
 */
@Service
public class PortalTemplateUserImpl extends BaseManagerImpl<PortalTemplateUserDao, PortalTemplateUser> implements PortalTemplateUserManager {
	//private final Logger logger= LoggerFactory.getLogger(this.getClass());
	@Autowired
	PortalTemplateUserDao portalTemplateUserDao;

	@Override
	public PortalTemplateUser getDetail(String id) {
		PortalTemplateUser portalTemplateUser = this.get(id);
		return portalTemplateUser;
	}

	@Override
	@Transactional
	public void createOrUpdate(PortalTemplateUser portalTemplateUser) {
		this.saveOrUpdate(portalTemplateUser);
	}

	@Override
	@Transactional
	public void removeByUserIdAndOrgId(String userId, String orgId) {
		portalTemplateUserDao.removeByUserIdAndOrgId(userId, orgId);
	}
}
